unit gnuplot; {programa que grafica el espectro.sal}

interface 

uses crt, classes, sysutils, Process, AccPampa;

var Aprocess : Tprocess;
	directorio :string;
    
procedure gnuplotlin;

implementation

procedure gnuplotlin;    
begin
    Aprocess := Tprocess.Create(nil);

    Case SistOp of
         1:   Begin
              Aprocess.Commandline := 'gnuplot ''' +  DiUser+ 'pampa/espectro.plot'' -p';
              Aprocess.Options := Aprocess.Options + [poWaitOnExit, poNoConsole];
         end;
         2:   Begin
              Aprocess.Commandline := DiUser+ 'gnuplot\gnuplot\bin\gnuplot.exe "'+DiUser+'pampa\espectro.plot"';
              Aprocess.Options := Aprocess.Options + [poWaitOnExit];
         end;
    End;

    {Aprocess.Commandline := 'uname -a';    }
    Aprocess.Execute;
    Aprocess.waitOnExit;
    Aprocess.Free;

end;

end.

